added Phil patches
Costa Tsaousis (ktsaou) committed
Apr 2, 2017 at 11:49 UTC
6ace8446de9d0c27856ecfba5d3261a909b91c98
6 files changed
+55
-21
.gitignore
+1
@@ -93,6 +93,7 @@ profile/benchmark-dictionary
93
profile/benchmark-registry
94
95
*.pyc
96
+*.run
97
98
diagrams/*.png
99
diagrams/*.svg
installer/functions.sh
+1
-1
@@ -144,7 +144,7 @@ run_failed() {
144
145
run_logfile="/dev/null"
146
run() {
147
- local user="${USER}" dir="${PWD}" info info_console
147
+ local user="${USER:-}" dir="${PWD}" info info_console
148
149
if [ "${UID}" = "0" ]
150
then
makeself/build-x86_64-static.sh
new
+24
@@ -0,0 +1,24 @@
1
+#!/usr/bin/env sh
2
+
3
+set -e
4
+
5
+if ! sudo docker inspect netdata-package-x86_64-static > /dev/null 2>&1
6
+then
7
+ # To run interactively:
8
+ # sudo docker run -it netdata-package-x86_64-static /bin/sh
9
+ # (add -v host-dir:guest-dir:rw arguments to mount volumes)
10
+ # To remove images in order to re-create:
11
+ # sudo docker rm -v $(sudo docker ps -a -q -f status=exited)
12
+ # sudo docker rmi netdata-package-x86_64-static
13
+ sudo docker run -v `pwd`:/usr/src/netdata.git:rw alpine:3.5 \
14
+ /bin/sh /usr/src/netdata.git/makeself/setup-x86_64-static.sh
15
+ id=`sudo docker ps -l -q`
16
+ sudo docker commit $id netdata-package-x86_64-static
17
+ fi
18
+sudo docker run -v `pwd`:/usr/src/netdata.git:rw netdata-package-x86_64-static \
19
+ /bin/sh /usr/src/netdata.git/makeself/build.sh
20
+
21
+if [ "$USER" ]
22
+then
23
+ sudo chown -R "$USER" .
24
+fi
makeself/build.sh
+3
-20
@@ -1,25 +1,8 @@
1
#!/usr/bin/env sh
2
3
-# this script should be running in alpine linux
4
-# install the required packages
5
-apk add \
6
- bash \
7
- wget \
8
- curl \
9
- ncurses \
10
- git \
11
- netcat-openbsd \
12
- alpine-sdk \
13
- autoconf \
14
- automake \
15
- gcc \
16
- make \
17
- pkgconfig \
18
- util-linux-dev \
19
- zlib-dev \
20
- libmnl-dev \
21
- libnetfilter_acct-dev \
22
- || exit 1
3
+# First run setup-x86_64-static.sh under alpine linux to install
4
+# the required packages. build-x86_64-static.sh will do this for you
5
+# using docker.
6
7
cd $(dirname "$0") || exit 1
8
makeself/jobs/99-makeself.install.sh
+3
@@ -81,3 +81,6 @@ rm "${NETDATA_INSTALL_PATH}/sbin" \
81
./system/post-installer.sh \
82
${NULL}
83
84
+# -----------------------------------------------------------------------------
85
+# copy it to the netdata build dir
86
+cp "${NETDATA_INSTALL_PATH}.gz.run" .
makeself/setup-x86_64-static.sh
new
+23
@@ -0,0 +1,23 @@
1
+#!/usr/bin/env sh
2
+
3
+# this script should be running in alpine linux
4
+# install the required packages
5
+apk update
6
+apk add --no-cache \
7
+ bash \
8
+ wget \
9
+ curl \
10
+ ncurses \
11
+ git \
12
+ netcat-openbsd \
13
+ alpine-sdk \
14
+ autoconf \
15
+ automake \
16
+ gcc \
17
+ make \
18
+ pkgconfig \
19
+ util-linux-dev \
20
+ zlib-dev \
21
+ libmnl-dev \
22
+ libnetfilter_acct-dev \
23
+ || exit 1